//---------------------------------------------------------------------------
#ifndef App_MainH
#define App_MainH
//---------------------------------------------------------------------------
#include "App_Common.h"
namespace App_doubleentries {class TDoubleEntriesModel;} using namespace App_doubleentries;
namespace App_doubleoptions {class TDoubleOptionsModel;} using namespace App_doubleoptions;
//---------------------------------------------------------------------------
namespace App_main {
//---------------------------------------------------------------------------
class TMainPresenter : public TPresenter
{
private:
	TDoubleEntriesModel* FDoubleEntriesModel;
	TDoubleOptionsModel* FDoubleOptionsModel;
	void __fastcall Initialize();
	void __fastcall Uninitialize();
	void __fastcall LoadSettings();
	void __fastcall SaveSettings();
	void __fastcall HandleCommandLineParameters();
	void __fastcall CreateDirectories();
	void __fastcall ShowOptions();
	void __fastcall OpenHelp();
	void __fastcall ShowAbout();
	__property TDoubleEntriesModel* DoubleEntriesModel = {read=FDoubleEntriesModel};
	__property TDoubleOptionsModel* DoubleOptionsModel = {read=FDoubleOptionsModel};
protected:
public:
	__fastcall TMainPresenter();
	virtual __fastcall ~TMainPresenter();
	virtual void __fastcall Start();
};
//---------------------------------------------------------------------------
} // End namespace App_main
using namespace App_main;
//---------------------------------------------------------------------------
#endif

