//----------------------------------------------------------------------------
#ifndef App_OptionsDialogH
#define App_OptionsDialogH
//----------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <FileCtrl.hpp>
#include <StdCtrls.hpp>
#include "App_DoubleOptions.h"
//----------------------------------------------------------------------------
class TOptionsDialog : public TForm
{
__published:
	TButton* Button1;
	TButton* Button11;
	TButton* Button2;
	TCheckBox* CheckBox21;
	TCheckBox* CheckBox22;
	TCheckBox* CheckBox31;
	TComboBox* ComboBox21;
	TEdit* Edit11;
	TEdit* Edit21;
	TEdit* Edit22;
	TEdit* Edit23;
	TEdit* Edit24;
	TEdit* Edit25;
	TEdit* Edit26;
	TGroupBox* GroupBox1;
	TGroupBox* GroupBox2;
	TGroupBox* GroupBox3;
	TLabel* Label21;
	TLabel* Label22;
	TLabel* Label23;
	TLabel* Label24;
	TLabel* Label25;
	TLabel* Label26;
	TLabel* Label27;
	TRadioButton* RadioButton11;
	TRadioButton* RadioButton12;
	TRadioButton* RadioButton13;
	TRadioButton* RadioButton14;
	void __fastcall Button11Click(TObject* ASender);
	void __fastcall CheckBox22Click(TObject* ASender);
	void __fastcall ComboBox21Exit(TObject* ASender);
	void __fastcall Edit11Exit(TObject* ASender);
	void __fastcall Edit21Exit(TObject* ASender);
	void __fastcall Edit22Exit(TObject* ASender);
	void __fastcall Edit23Exit(TObject* ASender);
	void __fastcall Edit24Exit(TObject* ASender);
	void __fastcall Edit25Exit(TObject* ASender);
	void __fastcall Edit26Exit(TObject* ASender);
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
	void __fastcall RadioButton11Click(TObject* ASender);
	void __fastcall RadioButton12Click(TObject* ASender);
	void __fastcall RadioButton13Click(TObject* ASender);
	void __fastcall RadioButton14Click(TObject* ASender);
private:
	TDoubleOptions FValues;
	void __fastcall UpdateAccess();
	void __fastcall HandleInvalidInput(const AnsiString& AMessage, TWinControl* AControl);
	void __fastcall HandleInvalidValue(const AnsiString& AMessage);
	TDoubleOptions __fastcall GetInputs();
	void __fastcall SetInputs(const TDoubleOptions& AInputs);
	TOutputDirectoryType __fastcall GetInput11();
	void __fastcall SetInput11(TOutputDirectoryType AOutputDirectory);
	AnsiString __fastcall GetInput12();
	void __fastcall SetInput12(const AnsiString& AInput12);
	AnsiString __fastcall GetInput21();
	void __fastcall SetInput21(const AnsiString& AInput21);
	AnsiString __fastcall GetInput22();
	void __fastcall SetInput22(const AnsiString& AInput22);
	bool __fastcall GetInput23();
	void __fastcall SetInput23(bool AInput23);
	bool __fastcall GetInput24();
	void __fastcall SetInput24(bool AInput24);
	AnsiString __fastcall GetInput25();
	void __fastcall SetInput25(const AnsiString& AInput25);
	AnsiString __fastcall GetInput26();
	void __fastcall SetInput26(const AnsiString& AInput26);
	int __fastcall GetInput27();
	void __fastcall SetInput27(int AInput27);
	int __fastcall GetInput28();
	void __fastcall SetInput28(int AInput28);
	TSerialNumberPosition __fastcall GetInput29();
	void __fastcall SetInput29(TSerialNumberPosition AInput29);
	bool __fastcall GetInput31();
	void __fastcall SetInput31(bool AInput31);
	__property TDoubleOptions Inputs = {read=GetInputs, write=SetInputs};
	__property TOutputDirectoryType Input11 = {read=GetInput11, write=SetInput11};
	__property AnsiString Input12 = {read=GetInput12, write=SetInput12};
	__property AnsiString Input21 = {read=GetInput21, write=SetInput21};
	__property AnsiString Input22 = {read=GetInput22, write=SetInput22};
	__property bool Input23 = {read=GetInput23, write=SetInput23};
	__property bool Input24 = {read=GetInput24, write=SetInput24};
	__property AnsiString Input25 = {read=GetInput25, write=SetInput25};
	__property AnsiString Input26 = {read=GetInput26, write=SetInput26};
	__property int Input27 = {read=GetInput27, write=SetInput27};
	__property int Input28 = {read=GetInput28, write=SetInput28};
	__property TSerialNumberPosition Input29 = {read=GetInput29, write=SetInput29};
	__property bool Input31 = {read=GetInput31, write=SetInput31};
protected:
public:
	__fastcall TOptionsDialog(TComponent* AOwner);
	virtual __fastcall ~TOptionsDialog();
	static TOptionsDialog* __fastcall EnsureCreated();
	virtual bool __fastcall Execute();
	__property TDoubleOptions Values = {read=FValues, write=FValues};
};
//----------------------------------------------------------------------------
extern PACKAGE TOptionsDialog* OptionsDialog;
//----------------------------------------------------------------------------
#endif

